#
# Register plugins
# 
# XXX: there should be some way to scan the plugins/ directory for plugins
# without explicitly listing them here.

#
# Dumb should always be last
#
_plugin_names = ['MSWord', 'PDF', 'Dumb']

plugins = []
for name in _plugin_names:
	try:
		module = __import__(name, globals(), globals(), [])
	except:
		pass
	plugins.append(module)

def choosePlugin(file, mime_type=''):
	for plugin in plugins:
		if plugin.acceptFile(file):
			return plugin

# vim:ts=2
